Operation Reconciliation
curl --request GET \
--url 'https://{{baseUrl}}/api/integration-services/v1/operations-reconciliation' \
--header 'Authorization: Bearer <token>'import requests
url = "https://{{baseUrl}}/api/integration-services/v1/operations-reconciliation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{{baseUrl}}/api/integration-services/v1/operations-reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operations": [
{
"extId": "8d263ef3-cc76-4c2c-a16d-de143c535c2c",
"businessUnit": "sandbox"
}
]
}{
"errors": [
{
"code": "BAD_REQUEST",
"description": "RegisteredFrom must be before registeredTill"
}
]
}Reconciliation
Operation Reconciliation
Returns all registered operations for a given timeframe.
GET
/
api
/
integration-services
/
v1
/
operations-reconciliation
Operation Reconciliation
curl --request GET \
--url 'https://{{baseUrl}}/api/integration-services/v1/operations-reconciliation' \
--header 'Authorization: Bearer <token>'import requests
url = "https://{{baseUrl}}/api/integration-services/v1/operations-reconciliation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{{baseUrl}}/api/integration-services/v1/operations-reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"operations": [
{
"extId": "8d263ef3-cc76-4c2c-a16d-de143c535c2c",
"businessUnit": "sandbox"
}
]
}{
"errors": [
{
"code": "BAD_REQUEST",
"description": "RegisteredFrom must be before registeredTill"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Timestamp Format: ISO 8601 yyyy-MM-dd'T'HH:mm:ss.SSSX.
Timestamp Format: ISO 8601 yyyy-MM-dd'T'HH:mm:ss.SSSX.
Response
OK
Show child attributes
Show child attributes
⌘I